#ifndef CHISEL_HPP_
#define CHISEL_HPP_

#include <Item/StatefulItem/BasicTool/BasicTool.hpp>

/**
 * @brief The "chisel" tool, same strength as hands but can break stone.
 */
class Chisel : public BasicTool
{
public:
    Chisel(std::string name);

    virtual bool canDig(ItemStack &stack, Block &block) override;
    virtual float getPowerAgainst(ItemStack &stack, Block &block) override;
    virtual std::string getDisplayName(const ItemStack &stack) override;
    virtual Sound& getDigSoundFor(ItemStack &stack, Block &block) override;
};

#endif